/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 24/06/23.
//

#ifndef FGGL_COMPONENTS_PHYSICS_INCLUDE_PHYS_TYPES_HPP
#define FGGL_COMPONENTS_PHYSICS_INCLUDE_PHYS_TYPES_HPP

#include <fggl/math/fmath.hpp>
#include <fggl/entity/module.hpp>

namespace fggl::phys {
	constexpr float FLOAT_HALF = 0.5F;

	struct Motion {
		math::vec3f velocity;
		math::vec3f acceleration;
		float damping = 0.9F;
	};

	void euler(entity::EntityManager& entities, float duration);

} // namespace fggl::phys

#endif //FGGL_COMPONENTS_PHYSICS_INCLUDE_PHYS_TYPES_HPP
